import 'package:get/get.dart';

import '../common/LogHelper.dart';
import '../data/model/NodeMode.dart';
import '../network/api_service.dart';

class GlobalController extends GetxController {
  var nodeModes = <nodeMode>[].obs;
  var isLoading = false.obs;
  var errorMsg = ''.obs;
  Future<void> fetchNodes() async {
    try {
      isLoading.value = true;
      nodeModes.clear();
      nodeModes.value = await ApiService().getNode("/api/client/v4/nodes?vless=1");
      LogHelper().d(nodeModes.toList());
      //loadSelectedNode();
    } catch (e) {
      errorMsg.value = e.toString();
    } finally {
      isLoading.value = false;
    }
  }

}
